Bug 619558 - User created: Log on attempts report "User does not exist"
User created: Log on attempts report "User does not exist"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 16:03 EDT by ray hammond
Modified: 2011-06-29 17:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619523
: 619562 (view as bug list)
Environment:
Last Closed: 2011-06-29 08:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback output (25.26 KB, image/png)
2010-07-29 16:03 EDT, ray hammond
no flags Details
Output from su attempt and content of passwd file. (67.40 KB, image/png)
2010-07-29 16:04 EDT, ray hammond
no flags Details

  None (edit)
Description ray hammond 2010-07-29 16:03:00 EDT
Example of icon

Description of problem:
User created: Log on attempts report "User does not exist"

Version-Release number of selected component (if applicable):
1.2.99-1

How reproducible:
Every time

Steps to Reproduce:
1. Run system-config-users
2. Press the "Add User" tool-bar button.
3. Enter the user name daisy.
4. Enter matching passwords.
5. Remove the text within the "home directory" text-box.
6. Press OK.
  
Actual results:
Traceback output printed to terminal and user record created in /etc/passwd with no home directory.  Also, the user account cannot be used.  'su - daisy' attempts as root report "User does not exist."

Expected results:
Utility should prevent the user from creating a user when the "Create home directory" check-box is checked and the "home directory" text-box field being blank.

Additional info:
Comment 1 ray hammond 2010-07-29 16:03:29 EDT
Created attachment 435386 [details]
Traceback output
Comment 2 ray hammond 2010-07-29 16:04:07 EDT
Created attachment 435387 [details]
Output from su attempt and content of passwd file.
Comment 3 Bug Zapper 2011-06-01 08:32:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 08:47:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Nils Philippsen 2011-06-29 10:41:12 EDT
Hmm, I can't reproduce this here -- s-c-users either warns me about the empty home directory setting (if I specify to create one) or doesn't create it, but crashes in neither of them. Can you reproduce this on F-14 or F-15?
Comment 6 ray hammond 2011-06-29 17:48:07 EDT
I cannot replicate on F15 - fixed.

Note You need to log in before you can comment on or make changes to this bug.